:root {
  color-scheme: light dark;
}

$cs-dark__primary-color: rgb(255, 255, 255);
$cs-dark__not-primary-color: rgb(132, 132, 132);
$cs-dark__error-color: rgb(139,0,0);
$cs-dark__background-color: rgb(33, 36, 41);
$cs-dark__background-gradient: radial-gradient(50% 50% at 50% 50%, #074afc4a 0, #360de81a 100%);

$cs-light__primary-color: rgb(0, 0, 0);
$cs-light__not-primary-color: rgb(87, 87, 87);
$cs-light__error-color: rgb(139,0,0);
$cs-light__background-color: rgb(247, 248, 250);
$cs-light__background-gradient: radial-gradient(50% 50% at 50% 50%, #ebb90d1a 0, #074afc42 100%);

// Default
:root {
  --primary-color: #{$cs-dark__primary-color};
  --not-primary-color: #{$cs-dark__not-primary-color};
  --error-color: ${cs-dark__error-color};

  --background-color: #{$cs-dark__background-color};
  --background-gradient: #{$cs-dark__background-gradient};
}

@media (prefers-color-scheme: dark) {
  :root {
    color-scheme: dark;
    --primary-color: #{$cs-dark__primary-color};
    --not-primary-color: #{$cs-dark__not-primary-color};
    --error-color: ${cs-dark__error-color};

    --background-color: #{$cs-dark__background-color};
    --background-gradient: #{$cs-dark__background-gradient};
  }
}

:root._colorscheme-dark {
  color-scheme: dark;

  --primary-color: #{$cs-dark__primary-color};
  --not-primary-color: #{$cs-dark__not-primary-color};
  --error-color: ${cs-dark__error-color};

  --background-color: #{$cs-dark__background-color};
  --background-gradient: #{$cs-dark__background-gradient};
}

@media (prefers-color-scheme: light) {
  :root {
    color-scheme: light;
    --primary-color: #{$cs-light__primary-color};
    --not-primary-color: #{$cs-light__not-primary-color};
    --error-color: ${cs-light__error-color};

    --background-color: #{$cs-light__background-color};
    --background-gradient: #{$cs-light__background-gradient};
  }
}

:root._colorscheme-light {
  color-scheme: light;

  --primary-color: #{$cs-light__primary-color};
  --not-primary-color: #{$cs-light__not-primary-color};
  --error-color: ${cs-light__error-color};

  --background-color: #{$cs-light__background-color};
  --background-gradient: #{$cs-light__background-gradient};
}
